http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/ports/gen/Mk/bsd.port.mk.install-recursive-2.REL=11.0-CURRENT.diff

Fails to apply on 11.0-RELEASE & 12.0-CURRENT

# *** 11.0-CURRENT-2015-11-04/ports/Mk/bsd.port.mk	Wed Nov  4 01:44:40 2015
# --- new-generic/ports/Mk/bsd.port.mk	Wed Nov  4 01:51:23 2015
# ***************
# *** 4843,4848 ****
# --- 4844,4860 ----
#   	@${ECHO_MSG} "<=== ${.CURDIR}"
#   .endif
#   
# + .if !target(install-recursive)
# + install-recursive:	install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(reinstall-recursive)
#   reinstall-recursive:	reinstall
#   	@${ECHO_MSG} "===> ${.CURDIR}"
#-------------------
# *** 12.0-CURRENT-2016-09-06/ports/Mk/bsd.port.mk	Tue Sep  6 11:56:21 2016
# --- new-generic/ports/Mk/bsd.port.mk	Tue Sep  6 11:59:49 2016
# ***************
# *** 4483,4488 ****
# --- 4483,4499 ----
#   		${ECHO_MSG} "\" to $$target."; \
#   	fi;
#   
# + .if !target(install-recursive)
# + install-recursive:  install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(reinstall-recursive)
#   reinstall-recursive:	reinstall
#   	@${ECHO_MSG} "===> ${.CURDIR}"
#-------------------
# *** 12.0-CURRENT-2016-09-06/ports/Mk/bsd.port.mk	Thu Dec 22 01:06:57 2016
# --- new-generic/ports/Mk/bsd.port.mk	Thu Dec 22 01:10:32 2016
# ***************
# *** 4415,4420 ****
# --- 4415,4431 ----
#   		${ECHO_MSG} "\" to $$target."; \
#   	fi;
#   
# + .if !target(install-recursive)
# + install-recursive:  install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(reinstall-recursive)
#   reinstall-recursive:	reinstall
#   	@${ECHO_MSG} "===> ${.CURDIR}"
#-------------------
# *** 12.0-CURRENT-2016-12-26/ports/Mk/bsd.port.mk	Mon Dec 26 21:49:41 2016
# --- new-generic/ports/Mk/bsd.port.mk	Mon Dec 26 21:52:19 2016
# ***************
# *** 4415,4420 ****
# --- 4415,4431 ----
#   		${ECHO_MSG} "\" to $$target."; \
#   	fi;
#   
# + .if !target(install-recursive)
# + install-recursive:  install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(reinstall-recursive)
#   reinstall-recursive:	reinstall
#   	@${ECHO_MSG} "===> ${.CURDIR}"
#-------------------
# *** 12.0-CURRENT-2017-01-02/ports/Mk/bsd.port.mk	Mon Jan  2 14:40:07 2017
# --- new-generic/ports/Mk/bsd.port.mk	Mon Jan  2 14:43:57 2017
# ***************
# *** 4415,4420 ****
# --- 4415,4431 ----
#   		${ECHO_MSG} "\" to $$target."; \
#   	fi;
#   
# + .if !target(install-recursive)
# + install-recursive:  install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(reinstall-recursive)
#   reinstall-recursive:	reinstall
#   	@${ECHO_MSG} "===> ${.CURDIR}"
# 
# *** 12.0-CURRENT-2017-02-20/ports/Mk/bsd.port.mk.orig	Mon Feb 20 15:55:56 2017
# --- new-generic/ports/Mk/bsd.port.mk	Mon Feb 20 16:00:01 2017
# ***************
# *** 5004,5009 ****
# --- 5004,5020 ----
#   	done
#   .endif # rmconfig-recursive
#   
# + .if !target(install-recursive)
# + install-recursive:  install
# + 	@${ECHO_MSG} "===> ${.CURDIR}"
# + 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
# + 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
# + 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
# + 		pwd; ${MAKE} install ) ; \
# + 		done
# + 	@${ECHO_MSG} "<=== ${.CURDIR}"
# + .endif
# + 
#   .if !target(pretty-print-config)
#   MULTI_START=	[
#   MULTI_END=	]
*** 14.3-RELEASE/ports/Mk/bsd.port.mk.orig	Thu Sep  4 01:21:10 2025
--- 14.3-RELEASE/ports/Mk/bsd.port.mk	Thu Sep  4 02:00:58 2025
***************
*** 5214,5219 ****
--- 5214,5230 ----
  		${_FLAVOR_RECURSIVE_SH}
  .    endif # rmconfig-recursive
  
+ .if !target(install-recursive)
+ install-recursive:  install
+ 	@${ECHO_MSG} "===> ${.CURDIR}"
+ 	@${ECHO_MSG} -n "Deps: " ; ${ECHO_MSG} ${ALL-DEPENDS-LIST}
+ 	@for dir in $$(${ALL-DEPENDS-LIST}); do \
+ 		( cd $$dir; echo -n "For ${.CURDIR}: " ;\
+ 		pwd; ${MAKE} install ) ; \
+ 		done
+ 	@${ECHO_MSG} "<=== ${.CURDIR}"
+ .endif
+ 
  .    if !target(pretty-print-config)
  MULTI_START=	[
  MULTI_END=	]
